<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_0ee0a25025d73f8693a4bb3" . "7a3c298ac" => base64_decode("Y2hlY2t" . "lZF9pbl" . "9ieQ=="), "_6e38cb9e0" . "43a07cd69a" . "1711a6704c" . "62a" => base64_decode("cGFyZW50X2l" . "k"), "_d5ebf376f635c188ec65813608e6ece" . "5" => base64_decode("bmV3" . "X3Zl" . "cnNp" . "b24="));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_0ee0a25025d73f8693a4bb37a3c2" . "98ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d5ebf376f635c" . "188ec65813608e" . "6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_6e38cb9e043a07cd69a1711a6704c" . "62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}